[2.0b4] Rack Controller fail to update commissioning info?

Bug #1577953 reported by Andres Rodriguez on 2016-05-03
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
MAAS
Critical
Lee Trager

Bug Description

This are the logs I'm seeing in a region controller that has the rack controller. This is a fresh install and images were being imported.

==> /var/log/maas/rackd.log <==
2016-05-04 05:34:10+0800 [-] request to http://localhost:5240/MAAS/metadata/status/4y3h7n/latest failed. sleeping 4.: HTTP Error 401: OK
2016-05-04 05:34:11+0800 [Uninitialized] ClusterClient connection established (HOST:IPv4Address(TCP, '10.216.160.107', 50029) PEER:IPv4Address(TCP, '10.216.160.107', 5250))
2016-05-04 05:34:12+0800 [ClusterClient,client] Event-loop 'trusty-maas9:pid=6144' authenticated.
2016-05-04 05:34:12+0800 [ClusterClient,client] Rack controller '4y3h7n' registered (via trusty-maas9:pid=6144).
2016-05-04 05:34:14+0800 [-] updated clock skew to -28800
2016-05-04 05:34:14+0800 [-] request to http://localhost:5240/MAAS/metadata/status/4y3h7n/latest failed. sleeping 8.: HTTP Error 401: OK
2016-05-04 05:34:22+0800 [-] updated clock skew to -28800
2016-05-04 05:34:22+0800 [-] request to http://localhost:5240/MAAS/metadata/status/4y3h7n/latest failed. sleeping 16.: HTTP Error 401: OK
2016-05-04 05:34:38+0800 [-] updated clock skew to -28800
2016-05-04 05:34:38+0800 [-] request to http://localhost:5240/MAAS/metadata/status/4y3h7n/latest failed. sleeping 32.: HTTP Error 401: OK

==> /var/log/maas/regiond.log <==
2016-05-04 05:42:18 [RegionServer,10,192.168.10.2] Rack controller 'None' disconnected.
2016-05-04 05:42:18 [RegionServer,10,192.168.10.2] RegionServer connection lost (HOST:IPv4Address(TCP, '192.168.10.27', 5251) PEER:IPv4Address(TCP, '192.168.10.2', 53754))
2016-05-04 05:42:32 [-] 192.168.10.1 - - [03/May/2016:21:42:32 +0000] "GET /MAAS/images/?sequence=18 HTTP/1.1" 200 236 "http://192.168.10.27:5240/MAAS/images/" "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/48.0.2564.97 Safari/537.36"
2016-05-04 05:42:35 [-] 127.0.0.1 - - [03/May/2016:21:42:35 +0000] "GET /MAAS/rpc/ HTTP/1.0" 200 432 "-" "provisioningserver.rpc.clusterservice.ClusterClientService"
2016-05-04 05:42:48 [twisted.internet.protocol.Factory] RegionServer connection established (HOST:IPv4Address(TCP, '192.168.20.104', 5252) PEER:IPv4Address(TCP, '192.168.20.5', 53576))
2016-05-04 05:42:48 [RegionServer,10,192.168.20.5] Rack controller FAILED authentication from '192.168.20.5:53576'; dropping connection.
2016-05-04 05:42:48 [RegionServer,10,192.168.20.5] Rack controller 'None' disconnected.
2016-05-04 05:42:48 [RegionServer,10,192.168.20.5] RegionServer connection lost (HOST:IPv4Address(TCP, '192.168.20.104', 5252) PEER:IPv4Address(TCP, '192.168.20.5', 53576))
2016-05-04 05:42:49 [-] 192.168.10.1 - - [03/May/2016:21:42:49 +0000] "GET /MAAS/images/?sequence=19 HTTP/1.1" 200 236 "http://192.168.10.27:5240/MAAS/images/" "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/48.0.2564.97 Safari/537.36"
2016-05-04 05:42:50 [-] 192.168.10.2 - - [03/May/2016:21:42:50 +0000] "GET /MAAS/rpc/ HTTP/1.0" 200 432 "-" "provisioningserver.rpc.clusterservice.ClusterClientService"

Related branches

Changed in maas:
milestone: none → 2.0.0
importance: Undecided → Critical
status: New → Confirmed
description: updated
Gavin Panella (allenap) on 2016-05-04
Changed in maas:
status: Confirmed → Triaged
Lee Trager (ltrager) on 2016-05-06
Changed in maas:
assignee: nobody → Lee Trager (ltrager)
Dongwon Cho (dongwoncho) wrote :

I did a fresh install as well today and am getting those 401 error.

Changed in maas:
status: Triaged → Fix Committed
Andres Rodriguez (andreserl) wrote :

I just installed a maas (single machine, region/rack) and I see this issue:

2.0.0~beta6+bzr5065-0ubuntu1~xenial1

Changed in maas:
status: Fix Committed → Fix Released
status: Fix Released → New
Changed in maas:
status: New → In Progress
Lee Trager (ltrager) on 2016-06-10
Changed in maas:
status: In Progress → Fix Committed
Changed in maas:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers